com.impinj.stp

## Class StpApi.AddTIDTableEntriesResp.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>
      - - com.impinj.stp.StpApi.AddTIDTableEntriesResp.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.AddTIDTableEntriesRespOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.AddTIDTableEntriesResp

      public static final class StpApi.AddTIDTableEntriesResp.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>
      implements StpApi.AddTIDTableEntriesRespOrBuilder

  Protobuf type `Impinj.STP.AddTIDTableEntriesResp` Returns SUCCESS if the TID entry was added. See AddTIDTableEntriesCommand_.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AddTIDTableEntriesResp` | `build()`
    `StpApi.AddTIDTableEntriesResp` | `buildPartial()`
    `StpApi.AddTIDTableEntriesResp.Builder` | `clear()`
    `StpApi.AddTIDTableEntriesResp.Builder` | `clearReply()`
    `StpApi.AddTIDTableEntriesResp.Builder` | `clone()`
    `StpApi.AddTIDTableEntriesResp` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.Reply` | `getReply()`
    `StpApi.Reply.Builder` | `getReplyBuilder()`
    `StpApi.ReplyOrBuilder` | `getReplyOrBuilder()`
    `boolean` | `hasReply()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.AddTIDTableEntriesResp.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.AddTIDTableEntriesResp.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.AddTIDTableEntriesResp.Builder` | `mergeFrom(StpApi.AddTIDTableEntriesResp other)`
    `StpApi.AddTIDTableEntriesResp.Builder` | `mergeReply(StpApi.Reply value)`
    `StpApi.AddTIDTableEntriesResp.Builder` | `setReply(StpApi.Reply.Builder builderForValue)`
    `StpApi.AddTIDTableEntriesResp.Builder` | `setReply(StpApi.Reply value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>`

    - #### clear

          public StpApi.AddTIDTableEntriesResp.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>`

    - #### clone

          public StpApi.AddTIDTableEntriesResp.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.AddTIDTableEntriesResp getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.AddTIDTableEntriesResp build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.AddTIDTableEntriesResp buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.AddTIDTableEntriesResp.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>`

    - #### mergeFrom

          public StpApi.AddTIDTableEntriesResp.Builder mergeFrom(StpApi.AddTIDTableEntriesResp other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>`

    - #### mergeFrom

          public StpApi.AddTIDTableEntriesResp.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.AddTIDTableEntriesResp.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasReply

          public boolean hasReply()

      Specified by:
        `hasReply` in interface `StpApi.AddTIDTableEntriesRespOrBuilder`

    - #### getReply

          public StpApi.Reply getReply()

      Specified by:
        `getReply` in interface `StpApi.AddTIDTableEntriesRespOrBuilder`

    - #### setReply

          public StpApi.AddTIDTableEntriesResp.Builder setReply(StpApi.Reply value)

    - #### setReply

          public StpApi.AddTIDTableEntriesResp.Builder setReply(StpApi.Reply.Builder builderForValue)

    - #### mergeReply

          public StpApi.AddTIDTableEntriesResp.Builder mergeReply(StpApi.Reply value)

    - #### clearReply

          public StpApi.AddTIDTableEntriesResp.Builder clearReply()

    - #### getReplyBuilder

          public StpApi.Reply.Builder getReplyBuilder()

    - #### getReplyOrBuilder

          public StpApi.ReplyOrBuilder getReplyOrBuilder()

      Specified by:
        `getReplyOrBuilder` in interface `StpApi.AddTIDTableEntriesRespOrBuilder`